Subject: [INDEP] Re: FYI: Last Call for "Independent Submissions to the RFC Editor"

From: Sam Hartman <[email-masked]>
Date: Wed, 27 Dec 2006 22:03:26 -0500

I assume you're also sending this last call announce to ietf-announce?

_______________________________________________
INDEPENDENT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/independent

---

From: Bernard Aboba <[email-masked]>
Date: Wed, 27 Dec 2006 11:00:51 -0800 (PST)

---

From: Michael Richardson <[email-masked]>
Date: Thu, 28 Dec 2006 17:25:01 -0500

>>>>> "Bernard" == Bernard Aboba <[email-masked]> writes:
    Bernard> I did note an issue which I think could use more
    Bernard> clarification in this document, which is whether the
    Bernard> Independent Submission track is solely for publication of
    Bernard> Informational/Experimental RFCs, or whether it can be also
    Bernard> used to publish BCPs or Standards track RFCs.  I would like
    Bernard> to see an explicit statement in the document saying that
    Bernard> the process only applies to Informational/Experimental
    Bernard> documents, and cannot be used for other purposes.

  Wow. I had to read this three times, and then read paragraph 1.1
of rfc-independent-05 again three times before my eyes distinguished
   "individual" and "independant"

- -- 
]            Bear: "Me, I'm just the shape of a bear."          |  firewalls  [
]   Michael Richardson,    Xelerance Corporation, Ottawa, ON    |net architect[
] [email-masked]      http://www.sandelman.ottawa.on.ca/mcr/ |device driver[
] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [

---

From: Frank Ellermann <[email-masked]>
Date: Thu, 28 Dec 2006 23:31:51 +0100

Olaf M. Kolkman wrote:

>     "Independent Submissions to the RFC Editor"
>     http://tools.ietf.org/id/draft-klensin-rfc-independent-05.txt

There are some "historically" in this text, where my interpretations
of "not more relevant" or "not more true" don't fit.  It starts in
chapter 1.1, the given definitions of "independent submission" and
"individual submission" are fine, not only "historically".

In chapter 2 the "historically" starts to worry me:

|  o  Technical contributions (e.g., RFC 1810 [RFC1810]) and,
|     historically,
|  o  RFC Editor and, at least prior to the handoff between ISI and
|     ICANN and the June 2000 MOU [RFC2860], IANA Policy Statements
|     (e.g., [RFC2223] and RFC 1591 [RFC1591]).

They (RfC-editor + ICANN) should be free to continue this tradition.
Important texts like 2223bis.08 available "only" as I-D aren't ideal.

In chapter 7 the boilerplate is apparently still at the state of RFC
3978, without the update published in RFC 4748.  The text says:

[...]
| royalty-free, world-wide right and license to the ISOC, the IETF
| Trust, and the IETF under all intellectual property rights in the
[...]

RFC 3978 4.2(a) contains the similar text:

[...]
| grant a perpetual, irrevocable, non-exclusive, royalty-free,
| world-wide right and license to the ISOC and the IETF under all
[...]

With the patch in RFC 4748 chapter 2.4 I get:

[...]
| world-wide right and license to the IETF Trust and the IETF under
| all intellectual property rights in the RFC Editor Contribution
[...]

The second point is:

~~~ I-D ~~~
license to such derivative works shall not grant the ISOC,
the IETF, or other party preparing a derivative work any more
~~~ old ~~~
comment upon it.  The license to such derivative works not
granting the ISOC and the IETF any more rights than the
~~~ new ~~~
comment upon it.  The license to such derivative works not
granting the IETF Trust and the IETF any more rights than the
~~~ end ~~~

The I-D needs the "new" (4748) version with s/ISOC/IETF trust/.

There are further subtle differences from RFC 3978, but no
"updates 3978".  Maybe it's stupid, but I took a copy of 3978,
then edited it manually as explained in 4748, and saved the
result as "rfc3978.bis".

The "normative references" contain a "3932upd" without URL,
ISBN, or whatever it's supposed to be.  The I-D tracker doesn't
know an I-D in this direction, I tested "3932", "Klensin", and
"IESG" as keywords.

The "informative references" don't list IEN 137, an URL for this
is <ftp://ftp.rfc-editor.org/in-notes/ien/ien137.txt>.

Frank